Page MenuHomePhabricator

Enable context detection in all languages
Open, NormalPublic

Description

As part of the first deployment of ExternalGuidance we had enabled English as the only language where the context detection happens. This was done using the config variable ExternalGuidanceEnableContextDetection.

We discussed the current state and it was decided to remove this restriction. Technically just removing ExternalGuidanceEnableContextDetection from configuration will do since the default value is true

Event Timeline

santhosh created this task.Apr 1 2019, 5:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2019, 5:37 PM
Pginer-WMF triaged this task as Normal priority.Apr 16 2019, 7:40 AM

Change 504261 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/mediawiki-config@master] Remove ExternalGuidanceEnableContextDetection

https://gerrit.wikimedia.org/r/504261

Change 506043 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[operations/puppet@production] Redirect Google Translate any wiki source to mobile

https://gerrit.wikimedia.org/r/506043

Change 506043 merged by Ema:
[operations/puppet@production] Redirect Google Translate any wiki source to mobile

https://gerrit.wikimedia.org/r/506043

Change 506043 merged by Ema:
[operations/puppet@production] Redirect Google Translate any wiki source to mobile
https://gerrit.wikimedia.org/r/506043

I can confirm that https://translate.google.com/translate?sl=auto&tl=en&u=https%3A%2F%2Fes.wikipedia.org%2Fwiki%2FMoon gives mobile site

Change 504261 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove ExternalGuidanceEnableContextDetection

https://gerrit.wikimedia.org/r/504261

Mentioned in SAL (#wikimedia-operations) [2019-06-20T11:20:24Z] <kartik@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT [[gerrit:504261|Remove ExternalGuidanceEnableContentDetection]] (T219819) (duration: 01m 00s)

santhosh moved this task from In Review to Done on the ExternalGuidance board.Jun 21 2019, 7:39 AM

As you can see non-English source languages also get ExternalGuidance features now: